comedi_get_buffer_size
Prev | 5.4.2. Asynchronous commands | Next

## Name

comedi_get_buffer_size — streaming buffer size of subdevice

## Synopsis

    #include <comedilib.h>

`int comedi_get_buffer_size(` | comedi_t * device,
| unsigned int subdevice`)`;

## Description

The function `comedi_get_buffer_size` returns the size (in bytes) of the streaming buffer for the subdevice specified by `device` and `subdevice`.

## Return value

On success, `comedi_get_buffer_size` returns the size of the buffer in bytes. On failure, `-1` is returned.

Prev | Up | Next
comedi_get_buffer_write_count | Home | comedi_get_cmd_generic_timed